Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601744 - IE - vertical scrolling problem on Resource Config and Admin Plugins pages
IE - vertical scrolling problem on Resource Config and Admin Plugins pages
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All Windows
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Ian Springer
Sunil Kondkar
:
Depends On:
Blocks: jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-06-08 10:46 EDT by Jay Shaughnessy
Modified: 2013-08-05 20:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
IE7 (7.0.6000 on Vista), IE8 (8.06001.18702 on XP SP3)
Last Closed: 2010-08-12 12:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (error box not shown until you dbl click "error on page" (136.52 KB, image/png)
2010-06-08 10:48 EDT, Jay Shaughnessy
no flags Details
Screenshot-IE7 (89.29 KB, image/png)
2010-07-02 06:29 EDT, Sunil Kondkar
no flags Details
patch that fixes this issue (3.75 KB, patch)
2010-07-20 13:36 EDT, Ian Springer
no flags Details | Diff
patch to handle correctly the context menu as well as scrolling (6.39 KB, patch)
2010-07-21 11:11 EDT, Lukas Krejci
no flags Details | Diff
patch to get main.xhtml back to its original state prior to my change (1.12 KB, patch)
2010-07-21 18:28 EDT, Ian Springer
no flags Details | Diff

  None (edit)
Description Jay Shaughnessy 2010-06-08 10:46:30 EDT
Using IE7 and the 2.4 beta CR1 I can't scroll down the resource configuration.  Instead the top part of the screen scrolls up. See attachment.

This makes it impossible to properly view or edit resource config that extends past the bottom of the page.  For example, visit RHQ Agent resource config.
Comment 1 Jay Shaughnessy 2010-06-08 10:48:35 EDT
Created attachment 422229 [details]
screenshot (error box not shown until you dbl click "error on page"
Comment 2 Jay Shaughnessy 2010-06-08 10:59:59 EDT
I have not been able to get this behavior in the connection properties config page, it may be local to the resource config page.
Comment 3 Ian Springer 2010-06-08 11:27:05 EDT
I see the scrolling issue on the resource configuration on IE8 as well.
Comment 4 Charles Crouch 2010-06-08 16:50:01 EDT
Further breakdown of the issue:
c) Resource configuration not scrolling correctly. 
    Seen in IE8(ian), IE7(jay,charles), but not in IE8(joe,charles) or IE6(joe). Note the conflict, above.
d) Plugin configuation not scolling correctly. 
    *NOT* seen in IE7 (charles), IE8(charles)


IE Browser Versions:
charles: 7.0.7530.13
Jay: 7.0.6000.16890
joseph: 6.0.2900.5512.xpsp_sp3_gdr.100216-1514 
joseph: 8.0.6001.18702
charles: 8.0.7600.16385
ips: 8.0.6001.18702

This is only readily reproducible on IE7, so setting to High rather than Urgent
Comment 5 Ian Springer 2010-06-28 20:22:37 EDT
The scrolling issue appears to be caused by the rich:tabPanel tag that is used for the tabs used to switch between structured and raw config views. The following bug describes how rich:tabPanel can cause issues on IE7:

https://jira.jboss.org/browse/RF-4191

I added the following to win.css:

.rich-tabpanel-content-position {
   position: static;
}

This fixed the vertical scrolling so that it included the resource config. However, the "Basic Mode" tab itself does not scroll with the rest of the page, but instead remains in its original position, as if it either is positioned absolutely or has a different z-index. I tried some of the IE hacks described in this article but after a couple hours of hacking was not able to get everything working as it does on FF.
Comment 6 Charles Crouch 2010-06-28 21:13:14 EDT
If turning off raw config in the GUI fixes this issue, then thats acceptable for JON2.4 where we don't have any plugins that utilize it. 

If the concensus is that raw config is required for RHQ3 then we should apply this change after we've cut the RHQ3 build
Comment 7 Ian Springer 2010-06-29 14:13:40 EDT
This issue also exists on the Administration > System Configuration > Plugins page, which also uses the RichFaces tabPanel component.

It turns out the fix for the issue is the one Nick B describes in his comment on https://jira.jboss.org/browse/RF-6030:

Add "position: relative" CSS to elements that have scrolls as a workaround.

This fix has been implemented for both affected pages by commit b2bd54e, which has been pushed to the release-3.0.0 branch:

1) /rhq/layout/main.xhtml modified to fix Resource Configuration > Current page.
2) /rhq/entity/layout/main.xhtml modified to fix Administration > System Configuration > Plugins page.

Test Steps
==========
1) Verify that vertical scrolling works correctly for both the Resource Configuration > Current page and the Administration > System Configuration > Plugins page. Make sure the vertical size of the content is bigger than the viewport, so vertical scrolling kicks in.
2) Test on IE6, IE7, IE8, FF2, and FF3.
Comment 8 Ian Springer 2010-06-29 17:19:55 EDT
Commit e6438c4, pushed to release-3.0.0, fixes an issue caused by the original fix, which was causing the vertical scrollbar on Resource tab pages to be displayed by FF at 2/3 of the correct width.
Comment 9 Charles Crouch 2010-06-30 13:27:21 EDT
Reducing priority to clarify QA testing order
Comment 10 Sunil Kondkar 2010-07-02 06:19:59 EDT
Verified on JON 2.4 GA_QA build#49 build.

Vertical scrolling works correctly for both the Resource
Configuration > Current page and the Administration > System Configuration >
Plugins page on below browser versions:

IE versions:
6.0.2900.5512
8.0.6001.18702

Firefox Versions:
2.0.0.20
3.0.18
3.5.4

The vertical scrollbar is displayed and works correctly on Administration > System Configuration > Plugins page on IE version 7.0.5370.11. 

However observed that the vertical scrollbar is not displayed on Resource Configuration > Current page  on IE version 7.0.5370.11. 

Please refer the attached screenshot.
Comment 11 Sunil Kondkar 2010-07-02 06:29:12 EDT
Created attachment 428942 [details]
Screenshot-IE7
Comment 12 Ian Springer 2010-07-20 13:35:29 EDT
This has been fixed (and tested in IE7 and FF3) via commit 070e961. However, it has NOT been pushed to origin, since it still needs to be tested on IE6, IE8, and FF2. The attached patch can be used by other devs to test the fix on those browsers.
Comment 13 Ian Springer 2010-07-20 13:36:51 EDT
Created attachment 433225 [details]
patch that fixes this issue
Comment 14 Lukas Krejci 2010-07-21 09:02:11 EDT
This patch seems to correct the issue in IEx (I didn't try FF2 yet) but causes another issue - the content pane covers the context menu in leftnav instead of the context menu appearing on top.
Comment 15 Lukas Krejci 2010-07-21 11:11:55 EDT
Created attachment 433444 [details]
patch to handle correctly the context menu as well as scrolling

Adding another patch that should preserve the correct viewing of the context menu along with the scrolling for IEx.
Comment 16 Ian Springer 2010-07-21 13:19:42 EDT
I tried out Lukas's patch, and the vertical scrolling works correctly on IE7 and FF3 on Windows. However, there is one minor issue on IE7 - the width of the right content pane is always about 10-20 pixels wider than the right hand side of the browser, so a horizontal scrollbar is always displayed and the user must scroll to the right to see the rightmost 10-20 pixels of the content. Lukas, I'm curious - do you see the same thing on IE6 and/or IE8?

In any case, I still think it's worthwhile to apply this patch, even in its current state. Otherwise, IE7 users will have no way to see the lower portion of the right pane's content on any resource/group pages where the content is too tall to all fit at once in the browser window.
Comment 17 Ian Springer 2010-07-21 13:22:46 EDT
Note, Lukas said he'd already successfully tested his patch against IE6, IE8, FF2, and FF3.6.
Comment 18 Ian Springer 2010-07-21 18:25:56 EDT
I'm attaching a patch that reverts /rhq/entity/layout/main.xhtml back to where it was before I made any changes for this issue. The vertical scrolling on the Resource Config>Current page should still work in IE7, since the rich:tabPanel that I believe was causing the issue is gone now that raw config support has been removed from the GUI. Lukas, first thing your tomorrow morning, would you please try stashing your changes, applying this patch, and then trying out the Resource Config>Current page in IE6, IE7, IE8, FF2, and FF3? As soon as I come online tomorrow, around 8:00-8:30am EST, I'll ping you to see how it's going.
Comment 19 Ian Springer 2010-07-21 18:28:52 EDT
Created attachment 433531 [details]
patch to get main.xhtml back to its original state prior to my change
Comment 20 Lukas Krejci 2010-07-22 08:07:00 EDT
I can confirm that main.xhtml in the original state behaves correctly wrt this bug in all browsers tested (IE6, IE7, IE8, FF2, FF3.6.4), although I think you have the patch reversed, Ian.

I created a separate bug 617179 for the context menu rendering problems and attached an isolated patch for that issue to that bz.
Comment 21 Lukas Krejci 2010-07-22 10:57:34 EDT
In addition I can confirm that the plugin list page in Administration > System Configuration > Plugins works in all the above mentioned browsers.
Comment 22 Charles Crouch 2010-07-22 11:22:27 EDT
This actually should reduce the amount of change (historically at least) by backing out some unnecessary fixes. It also makes resource config usable in IE7 which was the original bug
Comment 23 Lukas Krejci 2010-07-22 13:00:33 EDT
commit 8d6b4f8b43d62b7375468b363af0c1841c7d3a05
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Jul 22 18:52:14 2010 +0200

    BZ 601744 - backing out the position:relative part of the original fix in main.xhtml. This effectively reverts the page to the state it was before we had the rich:tabPanel, which was eventually removed.
Comment 24 Corey Welton 2010-07-23 00:47:08 EDT
Going to go ahead and mark this verified.  Tested the behaviour against different browsers (IE, FF) and things [still] work [again]. -- the back-out appears to have been successful.
Comment 25 Corey Welton 2010-08-12 12:47:30 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.